Bug 196084 - UEFI boot panic: Unable to reserve vt_fb memory
Summary: UEFI boot panic: Unable to reserve vt_fb memory
Status: Closed Unable to Reproduce
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Roger Pau Monné
URL:
Keywords: needs-patch, needs-qa, uefi
Depends on:
Blocks:
 
Reported: 2014-12-18 07:43 UTC by Michael Dexter
Modified: 2015-08-13 02:53 UTC (History)
1 user (show)

See Also:


Attachments
Backtrace (39.63 KB, image/jpeg)
2014-12-18 07:43 UTC, Michael Dexter
no flags Details
Panic (35.98 KB, image/jpeg)
2014-12-18 07:43 UTC, Michael Dexter
no flags Details
Loader Stage (24.25 KB, image/jpeg)
2014-12-18 07:44 UTC, Michael Dexter
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Dexter 2014-12-18 07:43:24 UTC
Created attachment 150708 [details]
Backtrace

Hardware: Thinkpad T420 i5 with NVidia graphics
BIOS: Fails with UEFI, Legacy or UEFI/Legacy
BIOS: Fails with Discreet (NVidia) or Integrated Graphics
11.0-CURRENT from git://xenbits.xen.org/people/royger/freebsd.git | pvh_dom0_v9
From December 15th, 2014 - Unable to determine equivalent upstream revision

Checkout steps: http://wiki.xenproject.org/wiki/FreeBSD_Dom0
From there, I built world, kernel and release

For whatever reason, the copied /usr/src/release/amd64/make-uefi-memstick.sh to make-memstick.sh and it is built with the release.

Upon boot to the resulting UEFI memstick image, the error appears after the vtfb0 driver probes: UEFI boot panic: Unable to reserve vt_fb memory

This likely has nothing to do with the Xen DOM0 patches in their branch but I would not know as I am not a FreeBSD developer.

See the attached photo of the backtrace. I will try to add the loader stage and panic but this seems to only allow for one photo.

UEFI solves what problem exactly?
Comment 1 Michael Dexter 2014-12-18 07:43:57 UTC
Created attachment 150709 [details]
Panic
Comment 2 Michael Dexter 2014-12-18 07:44:13 UTC
Created attachment 150710 [details]
Loader Stage
Comment 3 Ed Maste freebsd_committer 2014-12-18 13:05:53 UTC
This panic is from the change in https://reviews.freebsd.org/D1291
Comment 4 Michael Dexter 2014-12-18 18:43:41 UTC
There I go being all wrong about this being related to the Xen Dom0 patches.
Comment 5 Ed Maste freebsd_committer 2015-07-07 15:16:42 UTC
Michael, can you confirm that this still happens on your T420 on -CURRENT (now that the Dom0 changes are merged)?
Comment 6 Ed Maste freebsd_committer 2015-08-13 02:53:25 UTC
I believe this is fixed, and haven't received feedback to the contrary. Please reopen if it's still reproducible for you.